View Issue Details

IDProjectCategoryView StatusLast Update
15923Feature requestsPluginspublic2020-10-15 08:23
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Summary15923: Allow to update some Expression Dynamic variable : hidden or relevance, or set order of question (by plugins)
Description

With knowVars : you have a lot of ,information allowed to be updated.

You can set hidden , relevance etc ... but after update this in plugin it don't work.

Then need to be allowed to update questionSeq2relevance is needed

Additional Information

Possible usage

TagsNo tags attached.

Relationships

parent of 15873 resolvedollehar Bug reports setVariableExpressionEnd have lack of system to udate question part 

Activities

DenisChenu

DenisChenu

2020-03-12 10:03

developer   ~56422

Fixed for "Start survey".

Not during survey (example : mandatory by condition or hidden by expression)

DenisChenu

DenisChenu

2020-10-15 08:23

developer   ~60209

https://github.com/LimeSurvey/LimeSurvey/blob/db38a6ed23a1dfa87d3c3c949ea01d645b3303d2/application/helpers/expressions/em_manager_helper.php#L4421

Don't remind when exactly

Issue History

Date Modified Username Field Change
2020-02-27 10:56 DenisChenu New Issue
2020-02-27 10:56 DenisChenu Status new => assigned
2020-02-27 10:56 DenisChenu Assigned To => ollehar
2020-02-27 10:56 DenisChenu Relationship added parent of 15873
2020-03-12 10:03 DenisChenu Note Added: 56422
2020-10-15 08:23 DenisChenu Assigned To ollehar => DenisChenu
2020-10-15 08:23 DenisChenu Status assigned => resolved
2020-10-15 08:23 DenisChenu Resolution open => fixed
2020-10-15 08:23 DenisChenu Note Added: 60209